<?php
/**
 * Category color
 *
 * @package    MagNow
 * @author     Theme Junkie
 * @copyright  Copyright (c) 2015, Theme Junkie
 * @license    http://www.gnu.org/licenses/gpl-2.0.html
 * @since      1.0.0
 */

if ( ! function_exists( 'magnow_customizer_category_styles' ) && class_exists( 'Customizer_Library_Styles' ) ) :
/**
 * Process user options to generate CSS needed to implement the choices.
 *
 * @since  1.0.0
 */
function magnow_customizer_category_styles() {

	// Theme prefix
	$prefix = 'magnow-';
	
	// Get all categories
	$categories = get_categories();

	foreach ( $categories as $cat ) {
		$category_color = magnow_mod( $prefix . 'category-color-' . (int) $cat->term_id );
		if ( $category_color !== customizer_library_get_default( $prefix . 'category-color-' . (int) $cat->term_id ) ) {

			$color = sanitize_hex_color( $category_color );

			Customizer_Library_Styles()->add( array(
				'selectors' => array(
					'#primary-nav ul li.category-' . $cat->term_id . '-color > a:hover',
					'.featured-primary .category-id-' . $cat->term_id,
					'.featured-secondary .category-id-' . $cat->term_id,
					'.widget .category-id-' . $cat->term_id,
					'.listing-2-col .category-id-' . $cat->term_id . ' a',
				),
				'declarations' => array(
					'background-color' => $color
				)
			) );
		} else {
			$color = sanitize_hex_color( $category_color );

			Customizer_Library_Styles()->add( array(
				'selectors' => array(
					'#primary-nav ul li.category-' . $cat->term_id . '-color > a:hover',
					'.featured-primary .category-id-' . $cat->term_id,
					'.featured-secondary .category-id-' . $cat->term_id,
					'.widget .category-id-' . $cat->term_id,
					'.listing-2-col .category-id-' . $cat->term_id . ' a',
				),
				'declarations' => array(
					'background-color' => $color
				)
			) );
		}
	}

}
endif;
add_action( 'magnow_customizer_library_styles', 'magnow_customizer_category_styles' );