<?php
/**
 * Header color
 *
 * @package    MagNow
 * @author     Theme Junkie
 * @copyright  Copyright (c) 2015, Theme Junkie
 * @license    http://www.gnu.org/licenses/gpl-2.0.html
 * @since      1.0.0
 */

if ( ! function_exists( 'magnow_customizer_header_styles' ) && class_exists( 'Customizer_Library_Styles' ) ) :
/**
 * Process user options to generate CSS needed to implement the choices.
 *
 * @since  1.0.0
 */
function magnow_customizer_header_styles() {

	// Theme prefix
	$prefix = 'magnow-';
	
	// Header Background Color
	$header = magnow_mod( $prefix . 'header-color' );

	if ( $header !== customizer_library_get_default( $prefix . 'header-color' ) ) {

		$color = sanitize_hex_color( $header );

		Customizer_Library_Styles()->add( array(
			'selectors' => array(
				'#masthead'
			),
			'declarations' => array(
				'background-color' => $color
			)
		) );
	}

	// Site title color
	$title = magnow_mod( $prefix . 'site-title-color' );

	if ( $title !== customizer_library_get_default( $prefix . 'site-title-color' ) ) {

		$color = sanitize_hex_color( $title );

		Customizer_Library_Styles()->add( array(
			'selectors' => array(
				'#masthead .site-title a'
			),
			'declarations' => array(
				'color' => $color
			)
		) );
	}

}
endif;
add_action( 'magnow_customizer_library_styles', 'magnow_customizer_header_styles' );