<?php
/**
 * Menu color
 *
 * @package    MagNow
 * @author     Theme Junkie
 * @copyright  Copyright (c) 2015, Theme Junkie
 * @license    http://www.gnu.org/licenses/gpl-2.0.html
 * @since      1.0.0
 */

if ( ! function_exists( 'magnow_customizer_menu_styles' ) && class_exists( 'Customizer_Library_Styles' ) ) :
/**
 * Process user options to generate CSS needed to implement the choices.
 *
 * @since  1.0.0
 */
function magnow_customizer_menu_styles() {

	// Theme prefix
	$prefix = 'magnow-';
	
	// Menu Background Color
	$menu = magnow_mod( $prefix . 'menu-color' );

	if ( $menu !== customizer_library_get_default( $prefix . 'menu-color' ) ) {

		$color = sanitize_hex_color( $menu );

		Customizer_Library_Styles()->add( array(
			'selectors' => array(
				'#primary-bar'
			),
			'declarations' => array(
				'background-color' => $color
			)
		) );
	}

	// Menu Border Color
	$menu_border = magnow_mod( $prefix . 'menu-border-color' );

	if ( $menu_border !== customizer_library_get_default( $prefix . 'menu-border-color' ) ) {

		$color = sanitize_hex_color( $menu_border );

		Customizer_Library_Styles()->add( array(
			'selectors' => array(
				'#primary-bar', 
				'#primary-nav .home_item', 
				'#primary-nav ul li',
				'.nav-right'
			),
			'declarations' => array(
				'border-color' => $color
			)
		) );
	}

	// Menu link color
	$menu_link = magnow_mod( $prefix . 'menu-link-color' );

	if ( $menu_link !== customizer_library_get_default( $prefix . 'menu-link-color' ) ) {

		$color = sanitize_hex_color( $menu_link );

		Customizer_Library_Styles()->add( array(
			'selectors' => array(
				'#primary-nav ul li a'
			),
			'declarations' => array(
				'color' => $color
			)
		) );
	}

	// Menu link login color
	$menu_link_login = magnow_mod( $prefix . 'menu-link-login-color' );

	if ( $menu_link_login !== customizer_library_get_default( $prefix . 'menu-link-login-color' ) ) {

		$color = sanitize_hex_color( $menu_link_login );

		Customizer_Library_Styles()->add( array(
			'selectors' => array(
				'#primary-nav ul.nav-right li a',
				'#primary-nav ul.nav-right .fa'
			),
			'declarations' => array(
				'color' => $color
			)
		) );
	}

}
endif;
add_action( 'magnow_customizer_library_styles', 'magnow_customizer_menu_styles' );